Bug 867675 - 3.11.1-38 and 3.11.1-40 are blocking the network service
3.11.1-38 and 3.11.1-40 are blocking the network service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 23:45 EDT by Bruno Wolff III
Modified: 2012-12-20 11:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:06:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2012-10-17 23:45:08 EDT
Description of problem:
[root@wolff bruno]# sealert -l 34e7d796-b147-4deb-9455-a3f021d8f328
SELinux is preventing /usr/sbin/arping from using the setcap access on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that arping should be allowed setcap access on processes labeled netutils_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep arping /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp


Additional Information:
Source Context                system_u:system_r:netutils_t:s0
Target Context                system_u:system_r:netutils_t:s0
Target Objects                 [ process ]
Source                        arping
Source Path                   /usr/sbin/arping
Port                          <Unknown>
Host                          wolff.to
Source RPM Packages           iputils-20121011-1.fc18.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-40.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     wolff.to
Platform                      Linux wolff.to 3.6.2-2.fc18.i686.PAE #1 SMP Wed
                              Oct 17 06:15:29 UTC 2012 i686 i686
Alert Count                   5
First Seen                    2012-10-17 21:41:11 CDT
Last Seen                     2012-10-17 22:37:26 CDT
Local ID                      34e7d796-b147-4deb-9455-a3f021d8f328

Raw Audit Messages
type=AVC msg=audit(1350531446.49:56): avc:  denied  { setcap } for  pid=1954 comm="arping" scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:system_r:netutils_t:s0 tclass=process


type=SYSCALL msg=audit(1350531446.49:56): arch=i386 syscall=capset success=yes exit=0 a0=b7bc200c a1=b7bc2014 a2=b76cfff4 a3=b750f9c8 items=0 ppid=1918 pid=1954 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=arping exe=/usr/sbin/arping subj=system_u:system_r:netutils_t:s0 key=(null)

Hash: arping,netutils_t,netutils_t,process,setcap

audit2allow

#============= netutils_t ==============
allow netutils_t self:process setcap;

audit2allow -R

#============= netutils_t ==============
allow netutils_t self:process setcap;
Comment 1 Miroslav Grepl 2012-10-22 05:05:46 EDT
Fixed in selinux-policy-3.11.1-42.fc18.noarch
Comment 2 Fedora Update System 2012-10-23 16:36:00 EDT
selinux-policy-3.11.1-43.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-43.fc18
Comment 3 Bruno Wolff III 2012-10-23 22:53:29 EDT
I tried out selinux-policy-3.11.1-43.fc18 and it does fix the problem.
Comment 4 Miroslav Grepl 2012-10-24 03:53:32 EDT
Great. Thank you for testing. Could you update karma?
Comment 5 Fedora Update System 2012-10-26 11:39:05 EDT
selinux-policy-3.11.1-46.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-46.fc18
Comment 6 Fedora Update System 2012-10-26 15:28:31 EDT
Package selinux-policy-3.11.1-46.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-46.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16862/selinux-policy-3.11.1-46.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 11:06:32 EST
selinux-policy-3.11.1-46.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.